package com.elab.core.async.store;

import com.elab.core.async.RealTaskExecutor;
import com.elab.core.async.model.TaskStoreData;

/**
 * 实时任务执行装饰器
 *
 * @author ： liukx
 * @time ： 2020/8/6 - 14:49
 */
public class TaskExecutorDecoration {

    private TaskStoreData taskStoreData;

    private RealTaskExecutor executor;

    public TaskExecutorDecoration(TaskStoreData taskStoreData, RealTaskExecutor executor) {
        this.taskStoreData = taskStoreData;
        this.executor = executor;
    }

    public TaskStoreData getTaskStoreData() {
        return taskStoreData;
    }

    public void setTaskStoreData(TaskStoreData taskStoreData) {
        this.taskStoreData = taskStoreData;
    }

    public RealTaskExecutor getExecutor() {
        return executor;
    }

    public void setExecutor(RealTaskExecutor executor) {
        this.executor = executor;
    }
}
